# Class TableCat2

java.lang.Object
uk.ac.starlink.ttools.task.ConsumerTask
uk.ac.starlink.ttools.task.MapperTask
uk.ac.starlink.ttools.task.TableCat2

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

public class TableCat2 extends MapperTask
Concatenates two tables top to bottom.

Since:
  27 Sep 2005
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TableCat2()`

## Method Summary

### Methods inherited from class MapperTask

`createProducer, getMapper, getTablesInput`

### Methods inherited from class ConsumerTask

`createExecutable, createProducer, getIdentity, getOutputMode, getParameterList, getParameters, getPurpose`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableCat2

public TableCat2()